=== debian/changelog ===
apt (0.5.4) unstable; urgency=low

  * M68k config.guess patch. Closes: #88913
  * Bi-yearly test on OpenBSD and Solaris
  * Doc updates. Closes: #89121, #89854, #99671, #98353, #95823, #93057,
          #97520, #102867, #101071, #102421, #101565, #98272, #106914,
          #105606, #105377
  * Various cosmetic code updates. Closes: #89066, #89066, #89152
  * Add "pre-auto" as an option for DSelect::Clean (run autoclean after
    update).
  * More patches from Alfredo for Vendors and more SHA-1 stuff
  * Fix for AJ's 'desire to remove perl-5.005' and possibly other
    similar situations. Closes: #56708, #59432
  * no_proxy and ftp. Closes: #89671
  * Philippe Batailler's man page patches.
  * Fix for display bug. Closes: #92033, #93652, #98468
  * Use more than 16bits for the dep ID. Some people ran out..
    Closes: #103020, #97809, #102951, #99974, #107362, #107395, #107362,
            #106911, #107395, #108968
  * Reordered some things to make dante and FTP happier. Closes: #92757
  * James R. Van Zandt's guide.sgml updates. Closes: #90027
  * apt-ftparchive copes with no uncompressed package files + contents.
  * French man pages from philippe batailler - well sort of. They 
    don't build yet..
  * run-parts. Closes: #94286
  * 'apt-cache policy' preferences debug tool.
  * Whatever. Closes: #89762
  * libstdc++ and HURD. Closes: #92025
  * More apt-utils verbage. Closes: #86954
  * Fliped comparision operator. Closes: #94618
  * Used the right copyright file. Closes: #65691
  * Randolph's G++3 patches. 
  * Fixed no_proxy tokanizing. Closes: #100046
  * Strip Config-Version when copying status to available. Closes: #97520
  * Segfault with missing source files. Closes: #100325
  * EINTR check. Closes: #102293
  * Various changes to the locking metholodgy for --print-uris. 
    Closes: #100590
  * Lame LD_LIBRARY_PATH thing. Closes: #98928
  * apt-cache search searchs provide names too now. Closes: #98695
  * Checksum and long lines problem. Closes: #106591
  * .aptignr and empty files are just a warning. Closes: #97364  
  
 -- Jason Gunthorpe <jgg@debian.org>  Sat, 18 Aug 2001 17:21:59 -0500

apt (0.5.3) unstable; urgency=low

  * JoeyH's dpkg::preconfig not working. Closes: #88675
  * Fixed apt override disparity
  * Alfredo's SHA-1 and related patches
  
 -- Jason Gunthorpe <jgg@debian.org>  Sun,  4 Mar 2001 15:39:43 -0700

apt (0.5.2) unstable; urgency=low

  * Fixed mention of /usr/doc in the long description
  * JoeyH's downgrade bug -- don't use 0.5.1
  * Doc bug. Closes: #88538
  * Fault in building release strings. Closes: #88533
  
 -- Jason Gunthorpe <jgg@debian.org>  Sun,  4 Mar 2001 15:39:43 -0700

apt (0.5.1) unstable; urgency=low

  * Fixed #82894 again, or should be and.
  * Process the option string right. Closes: #86921
  * Don't eat the last command for pipes. Closes: #86923
  * Ignore .* for configuration directory processing. Closes: #86923
  * Alfredo's no_proxy patch
  * Documentation fixes. Closes: #87091
  * JoeyH's double slash bug. Closes: #87266
  * Unintitialized buffer and apt-ftparchive contents generation. 
     Closes: #87612
  * Build-deps on virtual packages. Closes: #87639
  * Fixes glibc/libstdc++ symbol dependencies by including glibc and
    libstdc++ version info in the library soname and in the package
    provides. Closes: #87426
  * Updated soname version to 0.3.2
  * apt-extracttemplates moved from debconf into apt-utils
  * s390 archtable entry. Closes: #88232
  * Dan's segfault
  * Some instances where the status file can source a package in a
    non-sensical way. Closes: #87390
  * Work better if there are duplicate sources.list entries.
  * Fixed the resetting of Dir with "dir {};". Closes: #87323
  
 -- Randolph Chung <tausq@debian.org>  Sat, 3 Mar 2001 15:37:38 -0700

apt (0.5.0) unstable; urgency=low

  * Fixed an obscure bug with missing final double new lines in 
    package files
  * Changed the apt-cdrom index copy routine to use the new section
    rewriter
  * Added a package file sorter, apt-sortpkgs
  * Parse obsolete Optional dependencies.
  * Added Ben's rsh method. Closes: #57794
  * Added IPv6 FTP support and better DNS rotation support.
  * Include the server IP in error messages when using a DNS rotation.
    Closes: #64895
  * Made most of the byte counters into doubles to prevent 32bit overflow.
    Closes: #65349
  * HTTP Authorization. Closes: #61158
  * Ability to parse and return source index build depends from Randolph.
  * new 'apt-get build-dep' command from Randolph. Closes: #63982
  * Added apt-ftparchive the all dancing all singing FTP archive
    maintinance program
  * Allow version specifications with =1.2.4-3 and /2.2 or /stable postfixes
    in apt-get. 
  * Removed useless internal cruft including the xstatus file.
  * Fixed config parser bugs. Closes: #67848, #71108
  * Brain Damanged apt-get config options changed, does not change the command
    line interface, except to allow --enable-* to undo a configuration
    option:
      No-Remove -> Remove
      No-Download -> Download
      No-Upgrade -> Upgrade
  * Made this fix configable (DSelect::CheckDir) and default to disabled:
     * No remove prompt if the archives dir has not changed. Closes: #55709
    Because it is stupid in the case where no files were downloaded due to
    a resumed-aborted install, or a full cache! Closes: #65952
  * Obscure divide by zero problem. Closes: #64394
  * Update sizetable for mips. Closes: #62288
  * Fixed a bug with passive FTP connections
  * Has sizetable entry for sparc64. Closes: #64869
  * Escape special characters in the ::Label section of the cdroms.lst
  * Created apt-utils and python-apt packages
  * Due to the new policy engine, the available file may contain entries
    from the status file. These are generated if the package is not obsolete
    but the policy engine prohibits using the version from the package files. 
    They can be identified by the lack of a Filename field.

