## apt 0.5.24osso1

=== debian/changelog ===
apt (0.5.24osso1) unstable; urgency=low

  * --disable-mmap implemented (should be usable on filesystems with
    broken mmap (i.e. jffs2) 

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Mon,  6 Dec 2004 00:25:48 +0200

apt (0.5.24) unstable; urgency=low

  * Updated Czech translation from Miroslav Kure <kurem@upcase.inf.upol.cz>
    (Closes: #235822)
  * Updated French translation from Christian Perrier <bubulle@debian.org>
    (Closes: #237403)
  * Updates to XML man pages from richard.bos@xs4all.nl
  * Updated Danish translation from Claus Hindsgaul <claus_h@image.dk>
    (Closes: #237771)
  * Updated Greek translation from Konstantinos Margaritis
    <markos@debian.org>
    (Closes: #237806)
  * Updated Spanish translation from Ruben Porras <nahoo82@telefonica.net>
    (Closes: #237863)
  * Updated pt_BR translation from Andre Luis Lopes <andrelop@debian.org>
    (Closes: #237960)
  * Regenerate .pot file (Closes: #237892)
  * Updated Polish translation from Marcin Owsiany <porridge@debian.org>
    (Closes: #238333)
  * In pkgAcquire::Shutdown(), set the status of fetching items to
    StatError to avoid a sometimes large batch of error messages
    (Closes: #234685)
  * Implement an ugly workaround for the 10000-character limit on the
    Binaries field in debSrcRecordParser, until such time as some things
    can be converted over to use STL data types (ABI change) (Closes: #236688)
  * Increase default tagfile buffer from 32k to 128k; this arbitrary limit
    should also be removed someday (Closes: #174945)
  * Checked against Standards-Version 3.6.1 (no changes)

 -- Matt Zimmerman <mdz@debian.org>  Tue, 16 Mar 2004 22:47:55 -0800

apt (0.5.23) unstable; urgency=low

  * Cosmetic updates to XML man pages from Richard Bos <radoeka@xs4all.nl>
  * Use the 'binary' target rather than 'all' so that the ssh and bzip2
    symlinks are created correctly (thanks to Adam Heath)
    (Closes: #214842)
  * Updated Simplified Chinese translation of message catalog from Tchaikov
    <chaisave@263.net> (Closes: #234186)
  * Change default for Acquire::http::max-age to 0 to prevent index files
    being out of sync with each other (important with Release.gpg)
  * Add an assert() to make sure that we don't overflow a fixed-size
    buffer in the very unlikely event that someone adds 10 packaging
    systems to apt (Closes: #233678)
  * Fix whitespace in French translation of "Yes, do as I say!", which
    made it tricky to type, again.  Thanks to Sylvain Pasche
    <sylvain.pasche@switzerland.org> (Closes: #234494)
  * Print a slightly clearer error message if no packaging systems are
    available (Closes: #233681)
  * Point to Build-Depends in COMPILING (Closes: #233669)
  * Make debian/rules a bit more consistent in a few places.
    Specifically, always use -p$@ rather than an explicit package name,
    and always specify it first, and use dh_shlibdeps -l uniformly rather
    than sometimes changing LD_LIBRARY_PATH directly
  * Document unit for Cache-Limit (bytes) (Closes: #234737)
  * Don't translate "Yes, do as I say!" in Chinese locales, because it can
    be difficult to input (Closes: #234886)

 -- Matt Zimmerman <mdz@debian.org>  Thu, 26 Feb 2004 17:08:14 -0800

apt (0.5.22) unstable; urgency=low

  * Updated French translation of man pages from Philippe Batailler
    <philippe.batailler@free.fr> (Closes: #203119)
  * Initialize StatusFile in debSystem (Closes: #229791)
  * Fix apt-get's suggests/recommends printing, which was skipping every
    other dependency due to both using GlobOr and incrementing the DepIterator
    (Closes: #229722)
  * Restore SIGINT/SIGQUIT handlers to their old values (rather than
    SIG_DFL) after invoking dpkg (Closes: #229854)
  * Updated Dutch translation of message catalog from cobaco
    <cobaco@linux.be> (Closes: #229601)
  * Catalan translation from Antoni Bella, Matt Bonner and Jordi Mallach
    (Closes: #230102)
  * Simplified Chinese translation of message catalog from "Carlos
    Z.F. Liu" <carlos_liu@yahoo.com> (Closes: #230960)
  * Replace SGML manpages with XML man pages from richard.bos@xs4all.nl
    (Closes: #230687)
  * Updated Spanish translation of man pages from Ruben Porras
    <nahoo82@telefonica.net> (Closes: #231539)
  * New Czech translation of message catalog from Miroslav Kure
    <kurem@upcase.inf.upol.cz> (Closes: #231921)

 -- Matt Zimmerman <mdz@debian.org>  Mon,  9 Feb 2004 12:44:54 -0800

apt (0.5.21) unstable; urgency=low

  * Patch from Eric Wong <normalperson@yhbt.net> to include apt18n.h after
    other headers to avoid breaking locale.h when setlocale() is defined
    as an empty macro.  This was not a problem on Debian, but broke
    compilation on Solaris. (Closes: #226509)
  * Updated French translation from Pierre Machard <pmachard@debian.org>
    (Closes: #226886)
  * Add colons to apt-get's "kept back"/"upgraded"/"downgraded" messages
    (Closes: #226813)
  * Fix typo in apt-cache(8) (Closes: #226351)
  * Clearer error message in place of "...has no available version, but
    exists in the database" (Closes: #212203)
  * Patch from Oliver Kurth <oku@masqmail.cx> to use AC_CACHE_VAL for
    GLIBC_VER to make cross-compilation easier (Closes: #221528)
  * Add example preferences file (Closes: #220799)
  * Updated Greek translation from Konstantinos Margaritis <markos@debian.org>
    (Closes: #227205)
  * Updated Spanish translation of man pages from Ruben Porras
    <nahoo82@telefonica.net> (Closes: #227729)

 -- Matt Zimmerman <mdz@debian.org>  Fri, 16 Jan 2004 10:54:39 -0800

apt (0.5.20) unstable; urgency=low

  * Fixed German translations of "Suggested" from Christian Garbs
    <debian@cgarbs.de> (Closes: #197960)
  * Add an "apt-cache madison" command with an output format similar to
    the katie tool of the same name (but less functionality)
  * Fix debSourcesIndex::Describe() to correctly say "Sources" rather than
    "Packages"

 -- Matt Zimmerman <mdz@debian.org>  Sat,  3 Jan 2004 23:42:50 -0800


