## apt 0.5.27

=== debian/changelog ===
apt (0.5.27) unstable; urgency=high

  * Sneak in a bunch of updated translations before the freeze
    (no code changes)
  * Translation updates:
    - New Finnish translation from Tapio Lehtonen <tale@debian.org>
      (Closes: #258999)
    - New Bosnian translation from Safir Šećerović <sapphire@linux.org.ba>
      (Closes: #254201)
    - Fix Italian incontrario (Closes: #217277)
    - Updated Spanish from Ruben Porras (Closes: #260483)
    - Updated Danish from Claus Hindsgaul (Closes: #260569)
    - Updated Slovak from Peter Mann (Closes: #260627)
    - Updated Portuguese from Miguel Figueiredo (Closes: #261423)
  * Bring configure-index up to date with documented options, patch from
    Uwe Zeisberger <zeisberg@informatik.uni-freiburg.de> (Closes: #259540)
  * Note in apt.conf(5) that configure-index does not contain strictly
    default values, but also examples
  * Add Polish translation of offline.sgml (Closes: #259229)

 -- Matt Zimmerman <mdz@debian.org>  Thu, 29 Jul 2004 09:30:12 -0700

apt (0.5.26) unstable; urgency=low

  * Translation updates:
    - Spanish update from Ruben Porras <nahoo82@telefonica.net> (Closes: #248214)
    - Sync Spanish apt(8) (Closes: #249241)
    - French update from Christian Perrier <bubulle@debian.org> (Closes: #248614)
    - New Slovak translation from Peter Mann <Peter.Mann@tuke.sk> (Closes: #251676)
    - Czech update from Miroslav Kure <kurem@upcase.inf.upol.cz> (Closes: #251682)
    - pt_BR update from Andre Luis Lopes <andrelop@debian.org> (Closes: #251961)
    - German translation of apt(8) from Helge Kreutzmann <kreutzm@itp.uni-hannover.de>
      (Closes: #249453)
    - pt update from Miguel Figueiredo <elmig@debianpt.org> (Closes: #252700)
    - New Hebrew translation from Lior Kaplan <webmaster@guides.co.il>
      (Closes: #253182)
    - New Basque translation from Piarres Beobide Egaña <pi@beobide.net>
      (Vasco - Euskara - difficult language, Closes: #254407) and already a
      correction (Closes: #255760)
    - Updated Brazilian Portuguese translation from
      Guilherme de S. Pastore <gpastore@colband.com.br> (Closes: #256396)
    - Updated Greek translation (complete now) from
      George Papamichelakis <george@step.gr> (Closes: #256797)
    - New Korean translation from Changwoo Ryu <cwryu@debian.org>
      (Closes: #257143)
    - German translation now available in two flavours: with Unicode usage and
      without (related to #228486, #235759)
  * Update apt-get(8) to reflect the fact that APT::Get::Only-Source will
    affect apt-get build-dep as well as apt-get source
  * Remove aborted remnants of a different method of implementing DEB_BUILD_OPTIONS
    from debian/rules
  * Fix typo in error message when encountering unknown type in source list
    (Closes: #253217)
  * Update k*bsd-gnu arch names in buildlib/ostable (Closes: #253532)
  * Add amd64 to buildlib/archtable (Closes: #240896)
  * Have configure output a more useful error message if the architecture
    isn't in archtable

 -- Matt Zimmerman <mdz@debian.org>  Thu,  8 Jul 2004 15:53:28 -0700

apt (0.5.25) unstable; urgency=low

  * Patch from Jason Gunthorpe to remove arbitrary length limit on Binary
    field in SourcesWriter::DoPackage
  * Fix typo in apt-cache(8) (Closes: #238578)
  * Fix obsolete reference to bug(1) in stub apt(8) man page
    (Closes: #245923)
  * Fix typo in configure-index (RecruseDepends -> RecurseDepends)
    (Closes: #246550)
  * Support DEB_BUILD_OPTIONS=noopt in debian/rules
    (Closes: #244293)
  * Increase length of line buffer in ReadConfigFile to 1024 chars;
    detect if a line is longer than that and error out
    (Closes: #244835)
  * Suppress a signed/unsigned warning in apt-cache.cc:DisplayRecord
  * Build apt-ftparchive with libdb4.2 rather than libdb2
    - Patch from Clint Adams to do most of the work
    - Build-Depends: s/libdb2-dev/libdb4.2-dev/
    - Add AC_PREREQ(2.50) to configure.in
    - Use db_strerror(err) rather than GlobalError::Errno (which uses strerror)
    - Add note to NEWS.Debian about upgrading old databases
  * Attempt to fix problems with chunked encoding by stripping only a single CR
    (Closes: #152711)
  * Modify debian/rules cvs-build to use cvs export, to avoid picking up
    junk files from the working directory
  * Add lang=fr attribute to refentry section of
    apt-extracttemplates.fr.1.sgml and apt-sortpkgs.fr.1.sgml so they are
    correctly built
  * Remove extraneous '\' characters from <command> tags in
    apt_preferences.fr.5.sgml
  * Translation updates:
    - Updated Swedish translation from Peter Karlsson <peter@softwolves.pp.se>
      (Closes: #238943)
    - New Slovenian translation from Jure Čuhalev <gandalf@owca.info>
      (closes: #239785)
    - New Portuguese translation from Miguel Figueiredo <elmig@debianpt.org>
      (closes: #240074)
    - Updated Spanish translation from Ruben Porras <nahoo82@telefonica.net>
    - Updated Spanish translation of man pages from Ruben Porras
      <nahoo82@telefonica.net>
    - Updated Simplified Chinese translation from "Carlos Z.F. Liu" <carlos_liu@yahoo.com>
      (Closes: #241971)
    - Updated Russian translation from Dmitry Astapov <adept@despammed.com>
      (Closes: #243959)
    - Updated Polish translation from Marcin Owsiany <porridge@debian.org>
      (Closes: #242388)
    - Updated Czech translation from Miroslav Kure <kurem@upcase.inf.upol.cz>
      (Closes: #244369)
    - Updated Japanese translation from Kenshi Muto <kmuto@debian.org>
      (Closes: #244176)
    - Run make -C po update-po to update .po files
    - Updated French translation from Christian Perrier <bubulle@debian.org>
      (Closes: #246925)
    - Updated Danish translation from Claus Hindsgaul <claus_h@image.dk>
      (Closes: #247311)

 -- Matt Zimmerman <mdz@debian.org>  Sat,  8 May 2004 12:52:20 -0700
