## apt 0.5.27.1

=== debian/changelog ===
apt (0.5.27.1) warty; urgency=low

  * Set default Dpkg::MaxArgs to 1024, and Dpkg::MaxArgBytes to 32k.  Needed
    to work around ordering bugs which can break the desktop install.

 -- Matt Zimmerman <mdz@debian.org>  Tue, 12 Oct 2004 20:50:19 -0700
