=== debian/changelog ===
apt (0.5.28.6) unstable; urgency=low

  * Merge bubulle@debian.org--2005/apt--sarge--0 again (patch-36)

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon, 21 Mar 2005 23:03:19 -0800

apt (0.5.28.5) unstable; urgency=low

  * Merge bubulle@debian.org--2005/apt--sarge--0 again (patch-33)
  * Update build-depends on gettext to version 0.12 (Closes: #295077)

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon, 21 Mar 2005 23:02:59 -0800

apt (0.5.28.4) unstable; urgency=low

  * Merge bubulle@debian.org--2005/apt--sarge--0 again (now with LINGUAS
    update)

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu, 10 Feb 2005 23:58:04 -0800

apt (0.5.28.3) unstable; urgency=low

  * Rebuild with a more pristine build environment (Closes: #294640)

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu, 10 Feb 2005 14:38:55 -0800

apt (0.5.28.2) unstable; urgency=low

  * Merge bubulle@debian.org--2005/apt--sarge--0 (lots of translation updates
    coordinated by Christian Perrier)

 -- Matt Zimmerman <mdz@debian.org>  Thu, 10 Feb 2005 00:53:01 -0800

apt (0.5.28.1) unstable; urgency=high

  * New version for unstable to incorporate translation updates and to push
    workaround for #172339.  This should be the same as 0.5.27.2, but with
    updated translations
  * Merge apt--main--0--patch-22:
    - Call setlocale() in the http method to get proper localized
      messages (Closes: #282700)
  * Merge apt--main--0--patch-29:
    - Same thing for the other methods
  * Merge apt--main--0--patch-33
    - Use baz instead of tla in debian/rules arch-build
  * Revert cron.daily addition; shouldn't go into sarge

 -- Matt Zimmerman <mdz@debian.org>  Mon, 10 Jan 2005 13:55:07 -0800

apt (0.5.28) hoary; urgency=low

  * Translation updates:
    - Updated Hungarian from Kelemen Gábor <kelemeng@gnome.hu> (Closes: #263436)
    - Updated Greek from George Papamichelakis (Closes: #265004)
    - Updated Simplified Chinese from Tchaikov (Closes: #265190)
    - Updated French by Christian Perrier (Closes: #265816)
    - Updated Japanese by Kenshi Muto (Closes: #265630)
    - Updated Catalan from Jordi Mallach
    - Updated Dutch from Bart Cornelis (Closes: #268258, #278697)
    - Updated Portuguese from Miguel Figueiredo (Closes: #268265)
    - Updated Polish from Robert Luberda <robert@debian.org> (Closes: #268451)
    - Updated Danish from Claus Hindsgaul (Closes: #269417)
    - Updated Norwegian Nynorsk from Håvard Korsvoll <korsvoll@skulelinux.no>
      (Closes: #269965)
    - Updated Russian from Yuri Kozlov <yuray@id.ru> (Closes: #271104)
    - Updated Italian from Samuele Giovanni Tonon <samu@debian.org>
      (Closes: #275083)
    - Updated Brazilian Portuguese from Andre Luis Lopes (Closes: #273944)
    - Updated Slovak from Peter Mann (Closes: #279481)
  * APT::Get::APT::Get::No-List-Cleanup -> APT::Get::List-Cleanup in apt-get.cc
    (Closes: #267266)
  * Merge Ubuntu changes:
    - Set default Dpkg::MaxArgs to 1024, and Dpkg::MaxArgBytes to 32k.
      Needed to work around ordering bugs when installing a large number of
      packages
    - Patch from Michael Vogt to add an optional cron job which
      can run apt-get update periodically
  * Add arch-build target to debian/rules

 -- Matt Zimmerman <mdz@debian.org>  Sat, 13 Nov 2004 15:52:20 -0800
